#!/bin/sh

sleep 5
. ./setCommonEnv.sh
function mysqlStartupCheck()
{
        mysqlstate=`$DB_HOME/bin/mysqladmin ping -S $DB_HOME/tmp/mysql.sock 2>/dev/null | awk '{print($3)}'`
        if [ "$mysqlstate" == "alive" ]
        then
                return 1
        else
                return 0
        fi
}

function waitTillMysqlStops()
{
        count=0;
        while true
        do
                mysqlStartupCheck
                if [ $? -ne 1 ]
                then
                        return
                else

                        sleep 1
                        count=`expr $count + 1`
                        if [ $count -eq 60 ]
                        then
                                . ./stopDB.sh $DB_PORT
                                count=0
                        fi
                fi
        done
}

waitTillMysqlStops

cd ..						
if [ $1 = "-update" ]
then 
	UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
	JAVA_UP=./jre/bin/java
	LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH
	$JAVA_UP -Xmx100m  -Ddb.home=./mysql -Dproduct.home=. -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -ppmPath ./Patch/patch.ppm -option i -c 
	cd lib
	if [ -f AdventNetUpdateManagerInstaller.jar_new ];
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	fi
	cd ../webapps
	rm -rf netflow
	cd ../bin
	if [ $? -eq 0 ]
	then
		sleep 10
		. ./na_service start
	fi
fi
if [ $1 = "-revert" ]
then
	UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
	JAVA_UP=./jre/bin/java
	LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH
	revertTo=`cat ./conf/NetFlow/revert.txt`
	$JAVA_UP -Ddb.home=./mysql -Dproduct.home=. -Dserver.dir=. -Dserver.home=. -Dtools.discSpaceCheck=false -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -c -option u -version $revertTo 
	cd lib
	if [ -f AdventNetUpdateManagerInstaller.jar_new ];
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	fi
	cd ../webapps
	rm -rf netflow
	cd ../bin
	echo "hotstandby" > ForceStart.conf
	if [ $? -eq 0 ]
	then
		sleep 10
		. ./na_service start
	fi

fi


