@echo off

rem $Id: run.bat,v 1.4 2010/03/02 12:48:34 kcraghu Exp $

call .\setcommonenv.bat

set PATH=%PATH%;"%NEW_SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set JAVA_OPTS= -Dcatalina.home="%SERVER_HOME%" -Dserver.home="%SERVER_HOME%" -Dserver.stats=10000  -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file="%SERVER_HOME%\conf\logging.xml" -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%NEW_SERVER_HOME%\lib\native" -Dcheck.tomcatport="true" -DisDemoCollector=true 


set CLASS_PATH=%SERVER_HOME%\lib;%NEW_SERVER_HOME%\lib;%NEW_SERVER_HOME%\lib\AdvCoreLogging.jar;%SERVER_HOME%\bin\run.jar;%NEW_SERVER_HOME%\bin\commons-logging-api.jar;%JAVA_HOME%\lib\tools.jar;%NEW_SERVER_HOME%\lib\AdventNetNPrevalent.jar;%NEW_SERVER_HOME%\lib\AdventNetUpdateManagerInstaller.jar

%JAVA% %JAVA_OPTS% -cp "%CLASS_PATH%" com.adventnet.mfw.util.JdkAndPortCheck
if %errorlevel% NEQ 0 goto END

%JAVA% %JAVA_OPTS% -cp %CLASS_PATH%;%SERVER_HOME%\lib\NFACOL.jar com.adventnet.netflow.dbutils.NFResourceCheck %SERVER_HOME%\conf\server.xml
if %errorlevel% NEQ 0 goto END_NO_PAUSE

rem ================================================================================
rem JVM memory allocation parameters. Uncomment and modify as appropriate.

rem Settings for 512MB RAM machine
SET JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx256m

rem Settings for 1GB RAM machine
rem SET JAVA_OPTS=%JAVA_OPTS% -Xms256m -Xmx512m

rem Settings for 2GB or more RAM machine
rem SET JAVA_OPTS=%JAVA_OPTS% -Xms512m -Xmx1g
rem ================================================================================

echo ===============================================================================
echo .
echo .
echo   SERVER_HOME: %SERVER_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo .
echo ===============================================================================
echo .

%DB_HOME%\bin\mysqladmin -P %DB_PORT% -u %DB_USERNAME% create mickeylite >> NUL 2>&1

%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
set errlevel=%ERRORLEVEL%
echo %errlevel%


