#!/bin/sh
if ( test $1)
then
	demo=$1
	if [ $demo = "Demo" ]
	then
		cd ..
		cd democollector/bin
	fi
fi
DIRNAME=`dirname $0`
. $DIRNAME/setCommonEnv.sh

$DB_HOME/bin/mysqladmin -u root create mickeylite -S "$DB_HOME/tmp/mysql.sock"


############################### JAVA SYSTEM PROPERTIES ########################################################
JAVA_OPTS="-Duser.dir=`pwd` -Dcatalina.home=$SERVER_HOME -Dserver.home=`pwd`/.. -Dserver.stats=10000 -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.xml -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME -Dcheck.tomcatport=true -DstartingAsService=true -DisDemoCollector=true"

################################################################################################################
#$JAVA $JAVA_OPTS -cp $SERVER_HOME/bin/run.jar com.adventnet.mfw.util.JdkAndPortCheck
if [ $? -ne 0 ]
then
	exit 1
fi

LD_LIBRARY_PATH=$NEW_SERVER_HOME/lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$NEW_SERVER_HOME/lib/native"

echo $SERVER_HOME

CLASS_PATH=$SERVER_HOME/lib:$NEW_SERVER_HOME/lib:$SERVER_HOME/bin/run.jar:$NEW_SERVER_HOME/lib/AdvCoreLogging.jar:$NEW_SERVER_HOME/bin/commons-logging-api.jar:$JAVA_HOME/lib/tools.jar:$NEW_SERVER_HOME/lib/AdventNetNPrevalent.jar:$NEW_SERVER_HOME/lib/AdventNetUpdateManagerInstaller.jar

#$JAVA -cp $CLASS_PATH:$SERVER_HOME/lib/NFACOL.jar $JAVA_OPTS com.adventnet.netflow.dbutils.NFResourceCheck $SERVER_HOME/conf/server.xml
if [ $? -ne 0 ]
then
	exit 1
fi

# ==============================================================================
# JVM memory allocation parameters. Uncomment and modify as appropriate.

# Settings for 512MB RAM machine
JAVA_OPTS="$JAVA_OPTS -Xms128m -Xmx256m"

# Settings for 1GB RAM machine
#JAVA_OPTS="$JAVA_OPTS -Xms256m -Xmx512m"

# Settings for 2GB or more RAM machine
#JAVA_OPTS="$JAVA_OPTS -Xms512m -Xmx1g"

# ==============================================================================

echo ""
echo "JAVA_HOME   :" $JAVA
echo "SERVER_HOME :" $SERVER_HOME
echo "DATE        :" `date`
echo "JAVA_OPTS   :" $JAVA_OPTS 
$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
