@echo off
rem $Id: BackupDB.bat,v 1.6 2007/01/18 08:58:12 jayakumar Exp $



rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------

set errmsg="Netflow server not running. Please ensure that the NetFlow Analyzer Server is running before running this script"

cd ..
set HOME_DIR=%CD%

rem set  HOME_DIR=c:\netflow


set JAVA_HOME=%HOME_DIR%/jre



rem set NETFLOW_HOME=%HOME_DIR%/server/default/conf/sample-bindings.xml
set UTIL_CLASSPATH=%HOME_DIR%/lib/NFACOL.jar;
set JAVA=%JAVA_HOME%\bin\java


set ERRORLEVEL=
rem %JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
rem set e=%ERRORLEVEL%
rem if %e% EQU -2  goto ERRMSG
rem if not exist %LOCKFILE% goto ERRMSG

rem -----------------------------------------------------------------------------
rem Backup DB
rem -----------------------------------------------------------------------------

set DATA_DIR=mysql\data,temp
set PROP_FILE=%HOME_DIR%\troubleshooting\ignore.props
set OUTDIR=%HOME_DIR%
if [%1] == [] goto jump1 
if not exist %1% goto USAGE
set OUTDIR=%1%
:jump1
set OVRWRT=false
if [%2] == [-overwrite]  set OVRWRT=true
set ERRORLEVEL=
%JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.BackupDB %DATA_DIR% %PROP_FILE% %OUTDIR% %OVRWRT%
set e=%ERRORLEVEL%
if %e% EQU 0 goto COMPLETED
goto STOP

:COMPLETED
echo The Backup is in %OUTDIR% folder
echo To restore the backup unzip the backup file to NetFlow-Home folder (Same as where it is found).
echo "" > bkd
goto STOP

:ERRMSG
echo %errmsg%
:USAGE
echo "BackupDB.bat <destination path> <-overwrite>"

:STOP
