cd ../bin
. ./setCommonEnv.sh
cd ../troubleshooting

if [ "x$NEW_SERVER_HOME" = "x" ]; then
	NEW_SERVER_HOME=$SERVER_HOME
	export NEW_SERVER_HOME
fi

#JAVA_HOME=../jre

#JAVA=$JAVA_HOME/bin/java

SNMP_CLASSPATH=$NEW_SERVER_HOME/lib/SNMPDebugger.jar:$NEW_SERVER_HOME/lib/AdventNetSnmp.jar:$SERVER_HOME/lib/NFACOL.jar

DEVICE=$1
SNMP_PORT=$2
COMMUNITY=$3
SNMPDEBUG=$4

#export JAVA_HOME

#export JAVA

export SNMP_CLASSPATH

export DEVICE
export SNMP_PORT
export COMMUNITY

if [ -z "$DEVICE" ]
then  
echo  "Device name not given" 
echo "Usage: SnmpWalk.sh HOST_NAME SNMP_PORT COMMUNITY"
exit 1
fi

if [ -z "$SNMP_PORT" ]
then 
SNMP_PORT="161"
fi

if [ -z "$COMMUNITY" ]
then 
COMMUNITY="public"
fi

if [ -z "$SNMPDEBUG" ]
then
SNMPDEBUG="false"
fi

echo using $DEVICE $SNMP_PORT $COMMUNITY

$JAVA -cp $SNMP_CLASSPATH com.adventnet.netflow.dbutils.SnmpWalkUtil $DEVICE $SNMP_PORT $COMMUNITY $SNMPDEBUG

if [ $? -ne 0 ] 
then
echo "Usage: SnmpWalk.sh HOST_NAME SNMP_PORT COMMUNITY "
fi



