/* $Id: ajaxed.js,v 1.17 2010/02/05 10:29:25 akileshwari Exp $ */
var request;
var onerr=false;
function getHTTPObject() {                                 // create XMLHTTP object
var xmlhttpObj;

/*@cc_on
@if (@_jscript_version >= 5)
try {
 xmlhttpObj = new ActiveXObject("Msxml2.XMLHTTP");
 } catch (e) { try { xmlhttpObj = new ActiveXObject("Microsoft.XMLHTTP");
} catch (E) { xmlhttpObj = false; } } @else xmlhttpObj = false;
 @end @*/
 if (!xmlhttpObj && typeof XMLHttpRequest != 'undefined') {
  try { xmlhttpObj = new XMLHttpRequest(); }
   catch (e) { xmlhttpObj = false; }
  } return xmlhttpObj;
}

function fetchSchedule(val,url,inform)
{
	var request = getHTTPObject();
	request.open("GET", url, true);
	var handler = scheduleResponeHandler(request,val,inform);
        request.onreadystatechange = handler;
        request.send(null);
}

function scheduleResponeHandler(request,val,val2)
{
	this.val = val;
	this.val2=val2;

	return  function()
	{
		if (request.readyState == 4)
		{

			if (request.status == 200)
			{

				var response = request.responseText;

				if(val2=="time")
				{
					document.getElementById("timeName").innerHTML = response;
					document.getElementById("routerIpGrpName").style.display="none";
					document.getElementById("interfaceName").style.display ="none";
					document.getElementById("timeName").style.width="100%";

				}else if(val2=="rout")
				{
					document.getElementById("routerIpGrpName").innerHTML =response;
					document.getElementById("routerIpGrpName").style.display="";
					document.getElementById("interfaceName").style.display ="none";
					document.getElementById("routerIpGrpName").style.width="50%";
					document.getElementById("timeName").style.width="50%";
				}
				else
				{
					document.getElementById("interfaceName").innerHTML =response;
					document.getElementById("interfaceName").style.display ="";
					document.getElementById("interfaceName").style.width="33%";
					document.getElementById("routerIpGrpName").style.width="33%";
					document.getElementById("timeName").style.width="33%";
				}

			}	

			else	{
				if(onerr)
				{	
					alert("Error loading page - status " + request.status);
					onerr=false;	
				}
			}				

		}
	};
}
function fetchTimeZonePage(url)
{	
	var request = getHTTPObject();
	request.open("GET", url, true);
	var handler = responsetimezoneHandler(request);
	request.onreadystatechange = handler;
	request.send(null);
}

function fetchPage(val,url,callSort)
{	
	var request = getHTTPObject();
	request.open("GET", url, true);
	var handler = responseHandler(request,val,callSort);
	request.onreadystatechange = handler;
	request.send(null);
}

function fetchDashBoardPage(val,url,callSort)
{
	var request = getHTTPObject();
	request.open("GET", url, true);
	var handler = dashBoardResponseHandler(request,val,callSort);
	request.onreadystatechange = handler;
	request.send(null);
}


function chkrequestid(id)
{   
//dummy time is send as arg to resolve the cache issue
	var url="nbarrequest.jsp?task=ENDIS&requestID="+id+"&dummyTime="+new Date().valueOf(); //No I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	var handler = requestHandler(request,id);
	request.onreadystatechange = handler;
	request.send(null);
}
function chkGetStatus(reqid)
{	//dummy time is send as arg to resolve the cache issue
	var url="nbarrequest.jsp?task=getstatus&requestID="+reqid+"&dummyTime="+new Date().valueOf(); //No I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	var handler = getStatusHandler(request,reqid);
	request.onreadystatechange = handler;
	request.send(null);
}
function chkGetQosStatus(reqid,timeZone)
{	//dummy time is send as arg to resolve the cache issue
	var url="qosrequest.jsp?task=getstatus&requestID="+reqid+"&tZone="+timeZone+"&dummyTime="+new Date().valueOf();  //No I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	var handler = getQosStatusHandler(request,reqid,timeZone);
	request.onreadystatechange = handler;
	request.send(null);
}

function chkDNSrequest(iI,stFull,edFull,isTshoot,app)
{
	var url="dnsrequest.jsp?task=writeConf&iI="+iI+"&stFull="+stFull+"&edFull="+edFull+"&iTshoot="+isTshoot+"&app="+app;//No I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	var handler = requestDNSHandler(request);
	request.onreadystatechange = handler;
	request.send(null);
}

function chkDNSGetStatus(reqid)
{
	var url="dnsrequest.jsp?task=getstatus&requestID="+reqid;//No I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	var handler = getDNSStatusHandler(request,reqid);
	request.onreadystatechange = handler;
	request.send(null);
}
function clearOverLoadCollHash(collName)
{

	var url="overLoadedColls.jsp?task=clear&collName="+collName;
	var request = getHTTPObject();
	request.open("GET",url,true);
	request.onreadystatechange = function (){
						//do nothing handler
						};
	request.send(null);
}
function updateHotstandByStatusMemory(status1)
{

	var url="hotStandMemoryUpdate.jsp?status="+status1;// NO I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	request.onreadystatechange = function (){
						};
	request.send(null);
}
function updateSystemProperty(opt,val)
{

	var url="setGreEspDefaultVal.jsp?opt="+opt+"&val="+val;// NO I18N
	var request = getHTTPObject();
	request.open("GET",url,true);
	request.onreadystatechange = function (){
						};
	request.send(null);
}
function getQosStatusHandler(request,val,val1)
{
	this.val = val;
        this.val1=val1;
	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				//alert("inside status handler");
				var response = request.responseText;
				//alert(response);
				response = response.replace(/^\s*|\s*$/g,"");// we are trimming the response we get
				//alert(response);
				if(response=="-1" )//No I18N
				{
					setTimeout("chkGetQosStatus(val,val1)",10000);
                                        //alert("chkGetQosStatuschkGetQosStatus is sucess");
				}
				else
				{
					callback(response);	
				}
			}
			else {
				if(onerr)
				{
					alert("Error loading page - status " + request.status);//No I18N 
					onerr=false;
				}

			}
		}
	};

	
}
function getStatusHandler(request,val)
{
	this.val = val;
	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				//alert("inside status handler");
				var response = request.responseText;
				//alert(response);
				response = response.replace(/^\s*|\s*$/g,"");// we are trimming the response we get
				//alert(response);
				if(response=="-1" )
				{
					setTimeout("chkGetStatus(val)",10000);
				}
				else
				{
					callback(response);	
				}
			}
			else {
				if(onerr)
				{
					alert("Error loading page - status " + request.status);
					onerr=false;
				}

			}
		}
	};

	
}

function requestHandler(request,val)
{
	this.val = val;
	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
				//alert(response);
				response = response.replace(/^\s*|\s*$/g,"");// we are trimming the response we get
				//alert(response);
				if(response=="true" )
				{
					if(document.getElementById("processingDiv")!=null)
					{
						document.getElementById("processingDiv").style.display="none";
						document.nbarIfaceMain.submit();
					}
				}
				else
				{
					setTimeout("chkrequestid(val)",10000);
				}

				


			}
			else {
				if(onerr)
				{
					alert("Error loading page - status " + request.status);
					onerr=false;
				}

			}
		}
	};

	
}
function dashBoardResponseHandler(request,val,val2)
{
	this.val = val;
        this.val2=val2;

	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
				if(document.getElementById(val)!=null)
				{
					document.getElementById(val).innerHTML =  response;

					if(document.getElementById("sorttable"+val)!=null)
					{
						sorttable.makeSortable(document.getElementById("sorttable"+val));
					}

					if(val2!=null && val2=="true")
					{
						dashBoardsortingMethod1(val);
					}
				}


			}
			else {
				if(onerr)
				{	
					alert("Error loading page - status " + request.status);
					onerr=false;	
				}

			}
		}
	};
}
function responsetimezoneHandler(request)
{

	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
				if(document.getElementById("timeZoneDiv")!=null)
				{
					//document.getElementById("timeZoneDiv").innerHTML =  response;
					 var div = document.getElementById("timeZoneDiv");  
					 div.innerHTML = response;  
					 var x = div.getElementsByTagName("script");   
					 for( var i=0; i < x.length; i++) {  
					      eval(x[i].text);  
					    }  


				}	


			}
			else {
				if(onerr)
				{	
					alert("Error loading page - status " + request.status);//NO I18N
					onerr=false;	
				}

			}
		}
	};
}
function responseHandler(request,val,val2)
{
	this.val = val;
        this.val2=val2;

	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
				if(document.getElementById("expand"+val)!=null)
				{
					document.getElementById("expand"+val).innerHTML =  response;
					document.getElementById("expand"+val).style.display = "block";
					document.getElementById("contract"+val).style.display="none";
					
					if(document.getElementById("sorttable"+val)!=null)
					{
						sorttable.makeSortable(document.getElementById("sorttable"+val));
					}

					if(val2!=null && val2=="true")
					{
						sortingMethodd1(val);
					}

				}else if(document.getElementById(val)!=null)
				{
					document.getElementById(val).innerHTML =  response;
					document.getElementById(val).style.display = "block";
				}


			}
			else {
				if(onerr)
				{	
					alert("Error loading page - status " + request.status);
					onerr=false;	
				}

			}
		}
	};
}

function requestDNSHandler(request)
{
	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var val = request.responseText;
				val = val.replace(/^\s*|\s*$/g,"");// we are trimming the response we get
				if(val=="-1" )
				{
					if(document.getElementById("showCollFailDiv")!=null)
					{
						document.getElementById("showCollFailDiv").style.display='';
						closePopup();
					}


				}
				else
				{
					setTimeout("chkDNSGetStatus('"+val+"')",10000);
				}

				


			}
			else {
				if(onerr)
				{
					alert("Error loading page - status " + request.status);//No I18N
					onerr=false;
				}

			}
		}
	};
}

function getDNSStatusHandler(request,val)
{
	this.val = val;
	return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
				response = response.replace(/^\s*|\s*$/g,"");// we are trimming the response we get
				if(response=="-1" )
				{
					document.getElementById("showCollFailDiv").style.display='';
					closePopup();
				}
				else if(response=="0")
				{
					setTimeout("chkDNSGetStatus('"+val+"')",10000);

				}
				else
				{
					callback();
				}
			}
			else 
			{
				if(onerr)
				{
					alert("Error loading page - status " + request.status);//No I18N
					onerr=false;
				}

			}
		}
	};
}

function fetchBillPage(plan,rout,url)
{
	
	var request = getHTTPObject();
	request.open("GET", url, true);
	var handler = billListResponseHandler(request,plan,rout);
	request.onreadystatechange = handler;
	request.send(null);
}

function billListResponseHandler(request,plan,rout)
{
      return  function()
	{
		if (request.readyState == 4)
		{
			if (request.status == 200)
			{
				var response = request.responseText;
 				if(document.getElementById("plan_"+plan+"_expand"+rout)!=null)
				{
					document.getElementById("plan_"+plan+"_expand"+rout+"_1").innerHTML =  response;
					document.getElementById("plan_"+plan+"_expand"+rout).style.display = "block";
					document.getElementById("plan_"+plan+"_contract"+rout).style.display="none";

				}
				else
				{
					alert("plan_"+plan+"_expand"+rout+" is null..");//No I18N
				}
			}
			else {
				if(onerr)
				{	
					alert("Error loading page - status " + request.status);//No I18N
					onerr=false;
				}

			}
		}
	};
 }
 
 function searchBillReport(url,planId,actGenDate)
 {
     var request = getHTTPObject();
     request.open("GET", url, true);
      var handler = billReportSearchHandler(request,planId,actGenDate);
     request.onreadystatechange = handler;
     request.send(null);
 }
 
 function billReportSearchHandler(request,planId,actGenDate)
 {
    return  function()
   {
     if (request.readyState == 4)
     {
       if (request.status == 200)
	{
 	   var response = request.responseText;
 	   response = response.replace(/^\s*|\s*$/g,"");// we are trimming the response we get	   
	   document.getElementById(planId+'_'+actGenDate+'_2').innerHTML=response;
	   document.getElementById("clrSearch_"+planId+"_"+actGenDate).style.display='block';
	   
	 }
	else
	{
 	  if(onerr)
	  {
	    alert("Error loading page - status " + request.status);//No I18N
	    onerr=false;
	  }
        }
     }
  }
 }
 
 function sessionCleanUp(url)
 {
    var request = getHTTPObject();
    request.open("GET", url, true);
    var handler = cleanUpHandler(request);
    request.onreadystatechange = handler;
    request.send(null);
 }
 
 function cleanUpHandler(request)
 {
   return  function()
   {
     if (request.readyState == 4)
     {
 	  if(onerr)
	  {
	    alert("Error loading page - status " + request.status);//No I18N
	    onerr=false;
	  }
        
       }
   }
 }
 
  function loadAddedDevice(url,devType)
 {
    var request = getHTTPObject();
    request.open("GET", url, true);
    var handler = loadDevHandler(request,devType);
    request.onreadystatechange = handler;
    request.send(null);
 }
 
 function loadDevHandler(request,devType)
 {
   return  function()
   {
     if (request.readyState == 4)
     {
	if(request.status == 200)
	{ 
	 if(devType=="interface")
	 {
		 document.getElementById("loadInterfaceList").innerHTML=request.responseText;
	 }
	 else
	 {
		 document.getElementById("loadIpGrpList").innerHTML=request.responseText;	 
	 }
	}
	if(onerr)
	{
	    alert("Error loading page - status " + request.status);//No I18N
	    onerr=false;
	}
      }
   }
 } 
 
 function billCustomMailId(devId,emailId)
 {
    var url="billAssignMailId.jsp?deviceId="+devId+"&mailId="+emailId;//No I18N
    var request = getHTTPObject();
    request.open("GET", url, true);
    var handler = billCustomIdHandler(request,devId,emailId);
    request.onreadystatechange = handler;
    request.send(null);
 }
 function billCustomIdHandler(request,devId,emailId)
 {
   return  function()
   {
     if (request.readyState == 4)
     {
	if(request.status == 200)
	{ 	  
          resetMailId(devId,emailId);
	}
	if(onerr)
	{
	    alert("Error loading page - status " + request.status);//No I18N
	    onerr=false;
	}
      }
   }
 }
 
 

