@echo off
call .\setCommonEnv.bat
set JAVA_HOME=..\jre
set NETFLOW_HOME=../conf/server.xml
set UTIL_CLASSPATH=../lib/NFACS.jar
set JAVA=%JAVA_HOME%\bin\java

rem set ERRORLEVEL=
%JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
set e=%ERRORLEVEL%
if %e% NEQ -2  goto ERRMSG
set DBLIST=dblist
set TEMPFILE=tempfile

set USERNAME="root"
set MYSQLEXE=%DB_HOME%\bin\mysql
set PORT=33306
set MYSQLSTRING=%MYSQLEXE% --port=%PORT% -u %USERNAME%
set DB='%%db'
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%PORT% -u %USERNAME%  
%PINGSTR% >> NUL 2>&1
if %ERRORLEVEL% NEQ 0 (
call .\startDB.bat 33306
goto LOOP1 
)
:DROPDB
echo show databases like %DB% | %MYSQLSTRING% >> %TEMPFILE% 2>&1
if %errorlevel% NEQ 0 goto STOP
findstr /V "Database" %TEMPFILE% >> %DBLIST%
echo Dropping Databases .........
for /f %%f in (%DBLIST%) do echo set foreign_key_checks=0;drop database if exists %%f | %MYSQLSTRING%
echo set foreign_key_checks=0;drop database if exists mickeylite | %MYSQLSTRING%
if %errorlevel% NEQ 0 goto ERROR %1
echo Recreating Database .........
rem echo create database jbossdb |  %MYSQLSTRING%
echo deleting temp directory......
rd /S /Q %SERVER_HOME%\temp
goto STOP

:LOOP1
%PINGSTR% >> NUL 2>&1
if %errorlevel% NEQ 0 goto LOOP1 
goto DROPDB

:LOOP2
%PINGSTR% >> NUL 2>&1
if %errorlevel% NEQ 1 goto LOOP2 
rem  a few seconds wait for the DB to shutdown
ping 127.0.0.1 >NUL
goto DROPIB

rem -------------------------------------------------------------------------
rem Error in dropping the table
rem ------------------------------------------------------------------------
:ERROR
echo Error dropping Databases %1
goto STOP
:ERRMSG
echo NetFlow Analyzer is running. Please shutdown NetFlow Analyzer server before running this script.
goto END

:STOP
call .\stopDB.bat
if exist %DBLIST% del %DBLIST%
if exist %TEMPFILE% del %TEMPFILE%
if exist %SERVER_HOME%\conf\NetFlow\NetflowServerDetails.txt del %SERVER_HOME%\conf\NetFlow\NetflowServerDetails.txt
set /P input="Do you want to remove logs (y/n)?" 

if "%input%" EQU "y" rd /S /Q %SERVER_HOME%\logs
rd /S /Q %SERVER_HOME%\democollector\logs
rd /S /Q %SERVER_HOME%\hotstandby\logs
rd /S /Q %SERVER_HOME%\syncup\logs
del /Q %SERVER_HOME%\democollector\conf\NetFlow\collectorFile.txt
goto LOOP2
:DROPIB
del /Q /F %DB_HOME%\data\ib*
del /Q /F %DB_HOME%\data\hotstand*-relay-bin*
del /Q /F %DB_HOME%\data\master.info
del /Q /F %DB_HOME%\data\relay-log.info
del /Q /F %DB_HOME%\data\mysql-bin.*
del /Q ServerType.conf
:END
