@echo off
call .\setCommonEnv.bat

rem need to start db if it has not been started
set ISDBRUNNING=0
set USERNAME="root"
set MYSQLEXE=%DB_HOME%\bin\mysql
set PORT=33306
set MYSQLSTRING=%MYSQLEXE% --port=%PORT% -u %USERNAME%
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%PORT% -u %USERNAME%
%PINGSTR% >> NUL 2>&1
if %errorlevel% EQU 0 set ISDBRUNNING=1

if %ERRORLEVEL% NEQ 0 (
call .\startDB.bat 33306
goto LOOP1
)

:reint
set CLASS_PATH="%NEW_SERVER_HOME%\lib\AdvPersistence.jar";"%NEW_SERVER_HOME%\lib\mysql_connector.jar";"%SERVER_HOME%\bin\run.jar";"%NEW_SERVER_HOME%\lib\jboss-j2ee.jar";"%NEW_SERVER_HOME%\lib\jboss-jca.jar";"%NEW_SERVER_HOME%\lib\jboss-compressed.jar";"%NEW_SERVER_HOME%\lib\concurrent.jar";"%NEW_SERVER_HOME%\lib\jboss-common-jdbc-wrapper.jar";"%NEW_SERVER_HOME%\lib\jboss-transaction.jar";"%NEW_SERVER_HOME%/lib/AdvCoreLogging.jar";"%NEW_SERVER_HOME%/AdvMickeyLiteLogging.jar";"%NEW_SERVER_HOME%/lib/tomcat/commons-logging-api.jar"

"%JAVA%" %JAVA_OPTS% -cp "%SERVER_HOME%/bin/run.jar" com.adventnet.mfw.util.JdkAndPortCheck
if %errorlevel% NEQ 0 goto stopDB
    
set FORCEFUL_REINIT="false"
IF "%1" == "-f" set FORCEFUL_REINIT="true"
echo "CLASS_PATH:" %CLASS_PATH%
"%JAVA%" -Dserver.home="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -cp %CLASS_PATH% com.adventnet.mfw.util.ReinitializeDB %FORCEFUL_REINIT%
rd /S /Q ..\temp\
rd /S /Q ..\logs\
mkdir ..\temp
if %ISDBRUNNING% EQU 1 GOTO END_NO_PAUSE
goto stopDB
:back
if %errorlevel% NEQ 0 pause
goto END_NO_PAUSE

:LOOP1
%PINGSTR% >> NUL 2>&1
if %errorlevel% NEQ 0 goto LOOP1
goto reint

:stopDB
call .\stopDB.bat 33306 
:LOOP2
%PINGSTR% >> NUL 2>&1
if %errorlevel% NEQ 1 goto LOOP2
rem  a few seconds wait for the DB to shutdown
ping 127.0.0.1 >NUL
goto back


:END_NO_PAUSE
rem now stopDB and letoff the control


