@echo off

cd ..\bin

call .\setCommonEnv.bat

cd ..\troubleshooting

if "%NEW_SERVER_HOME%" == "" set NEW_SERVER_HOME=%SERVER_HOME%

rem set JAVA_HOME=..\jre

set SNMP_CLASSPATH=%NEW_SERVER_HOME%\lib\SnmpDebugger.jar;%NEW_SERVER_HOME%\lib\AdventNetSnmp.jar;%SERVER_HOME%\lib\NFACOL.jar;

rem set JAVA=%JAVA_HOME%\bin\java

set HOST=%1
set PORT=%2
set COMMUNITY=%3
set SNMPDEBUG=%4

if "%HOST%" == ""  goto MSG

if "%PORT%" == ""  set PORT="161"

if "%COMMUNITY%" == ""  set COMMUNITY="public"

if "%SNMPDEBUG%" == "" set SNMPDEBUG="false"

echo Snmp Walk on host = %HOST% with port = %PORT% and community = %COMMUNITY% 


%JAVA% -cp %SNMP_CLASSPATH% com.adventnet.netflow.dbutils.SnmpWalkUtil %HOST% %PORT% %COMMUNITY% %SNMPDEBUG%


if %errorlevel% EQU 0 goto END_NO_PAUSE

:MSG
echo Usage: SnmpWalk.bat HOST_NAME SNMP_PORT COMMUNITY

if "%NOPAUSE%" == "" pause

:END_NO_PAUSE
